Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Deletes a specific execution result of a Batch Test Suite.
PropertyValue
MethodDELETE
Endpointhttps://{{host}}/api/public/bot/{{botId}}/testsuite/{{testSuiteName}}/{{testRunId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Batch Tests Management; Admin Console: Batch Tests Management

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDBot ID or Stream ID, accessible under General Settings on the App Builder.Required
testSuiteNameName of the test suite on the App Builder.Required
testRunIdThe unique identifier of an execution result obtained by running the test execution API.Required

Sample Request

curl --location --request DELETE \
     'https://{{host}}/api/public/bot/{{botId}}/testsuite/{{testSuiteName}}/{{testRunId}}' \
      --header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
      --header 'bot-language: {{language-code}}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "message": "Test Result Removed Successfully"
}